Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVParser Class Reference

`#include <CSVParser.h>`

Inheritance diagram for tlp::CSVParser:
[legend]

List of all members.

## Public Member Functions

- virtual ~CSVParser ()
- virtual bool parse (CSVContentHandler *handler, tlp::PluginProgress *progress=NULL)=0
    Parse the data and send the tokens found to the CSVContentHandler.

## Constructor & Destructor Documentation

virtual tlp::CSVParser::~CSVParser | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::CSVParser::parse | ( | CSVContentHandler * | handler,
|  | tlp::PluginProgress * | progress = `NULL`
| ) |  | `[pure virtual]`

Parse the data and send the tokens found to the CSVContentHandler.

Notify the progression of the parsing with the progress object.

Implemented in tlp::CSVSimpleParser, and tlp::CSVInvertMatrixParser.

Tulip Software by LaBRI Visualization Team 2001 - 2012